%global owner docker
%global project docker-py
%global commit 997e583ea9a7b33113edd91d5bee73d25d720448
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global docker_pycreds_pypi_name docker-pycreds
%global docker_pycreds_version 0.2.1

Name:           python-%{project}
Version:        1.10.6
Release:        4%{?dist}
Summary:        An API client for docker written in Python
License:        ASL 2.0
URL:            https://github.com/%{owner}/%{project}/
Source0:        https://github.com/%{owner}/%{project}/archive/%{commit}/%{project}-%{commit}.tar.gz
Source1:        https://files.pythonhosted.org/packages/source/d/%{docker_pycreds_pypi_name}/%{docker_pycreds_pypi_name}-%{docker_pycreds_version}.tar.gz
Patch1:         remote-inspection.patch
Patch2:         setup-Neuter-extras_require-that-doesn-t-work-on-Cen.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=1486189
Patch3:         implement-cpu_rt_-switches.patch
# This patch fixes https://bugzilla.redhat.com/show_bug.cgi?id=1501782 and also
# contains all the fixes which happened in utils/socket.py; this module covers
# the streaming connections, custom protocol of exec/attach and other
# socket-related operations
Patch4:         backport-util-socket-fixes-rhbz1501782.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-requests
Requires:       python-websocket-client >= 0.32.0
Requires:       python-six >= 1.4.0
Requires:       python-ipaddress
Requires:       python-backports-ssl_match_hostname
Requires:       python-docker-pycreds

Obsoletes:      docker-python <= 1.4.0-115.x86_64
Provides:       docker-python == %{version}-%{release}

%description
%{summary}


%package -n python-docker-pycreds
Summary:        Python bindings for the docker credentials store API
License:        ASL 2.0
URL:            https://github.com/shin-/dockerpy-creds/
BuildArch:      noarch
Requires:       python-six

%description -n python-docker-pycreds
Python bindings for the docker credentials store API


%prep
%setup -q -n %{project}-%{commit}
%patch1 -p 1
%patch2 -p 1
%patch3 -p 1
%patch4 -p 1
gzip -dc %{SOURCE1} | tar -xvvf -


%build
%{__python} setup.py build
pushd %{docker_pycreds_pypi_name}-%{docker_pycreds_version}
%{__python} setup.py build
popd


%install
%{__python} setup.py install --root %{buildroot}
pushd %{docker_pycreds_pypi_name}-%{docker_pycreds_version}
%{__python} setup.py install --root %{buildroot}
popd


%files
%doc LICENSE README.md
%{python_sitelib}/docker
%{python_sitelib}/docker_py-%{version}*


%files -n python-docker-pycreds
%doc %{docker_pycreds_pypi_name}-%{docker_pycreds_version}/LICENSE %{docker_pycreds_pypi_name}-%{docker_pycreds_version}/README.md
%{python_sitelib}/dockerpycreds
%{python_sitelib}/docker_pycreds-%{docker_pycreds_version}*


%changelog
* Thu May 10 2018 Tomas Tomecek <ttomecek@redhat.com> - 1.10.6-4
- Resolve #1501782: don't break on 0-length frames

* Wed Sep 06 2017 Tomas Tomecek <ttomecek@redhat.com> - 1.10.6-3
- fix the backport of cpu_rt_* options

* Mon Sep 04 2017 Tomas Tomecek <ttomecek@redhat.com> - 1.10.6-2
- backport cpu_rt_* options, rhbz#1486189

* Tue Dec 20 2016 Tomas Tomecek <ttomecek@redhat.com> - 1.10.6-1
- update to 1.10.6

* Wed Sep 07 2016 Lokesh Mandvekar <lsm5@redhat.com> - 1.9.0-1
- Resolves: #1374058 - rebase to upstream 1.9.0

* Fri Mar 04 2016 Tomas Tomecek <ttomecek@redhat.com> - 1.7.2-1
- new upstream release: 1.7.2

* Wed Jan 13 2016 Tomas Tomecek <ttomecek@redhat.com> - 1.6.0-1
- update to 1.6.0

* Wed Nov 04 2015 Lokesh Mandvekar <lsm5@redhat.com> - 1.4.0-118
- Resolves: rhbz#1254579 - previous docker-python was archful

* Wed Sep 23 2015 Lokesh Mandvekar <lsm5@redhat.com> - 1.4.0-117
- obsoletes docker-python

* Wed Sep 23 2015 Lokesh Mandvekar <lsm5@redhat.com> - 1.4.0-116
- built @rhatdan/master commit#54a154d

* Fri Jun 19 2015 Lokesh Mandvekar <lsm5@redhat.com> - 1.2.3-1
- Rebase to 1.2.3

* Thu Jun 18 2015 Lokesh Mandvekar <lsm5@redhat.com> - 1.2.2-1
- update to 1.2.2
- do not enforce min VR on python-coverage
- test only if docker.sock is writable

* Wed Feb 25 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0.0-1
- update to upstream 1.0.0
- Resolves: rhbz#1195627 - don't (B)R docker
- use github url instead of pypi
- run tests in check if /run/docker.sock exists

* Wed Jan 14 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.7.1-1
- Resolves: rhbz#1182003 - Update to 0.7.1

* Thu Dec 25 2014 Igor Gnatenko <ignatenko@mirantis.com> - 0.7.0-1
- Update to 0.7.0 (RHBZ #1176950)

* Mon Dec 01 2014 Tomas Radej <tradej@redhat.com> - 0.6.0-2
- Added Python 3 subpackage

* Fri Nov 21 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.6.0-1
- Resolves: rhbz#1160293 - update to 0.6.0

* Thu Oct 23 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.5.3-2
- Resolves: rhbz#1145895
- versioned python-requests req only for f21+

* Wed Oct 22 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.5.3-1
- Resolves: rhbz#1153991 - update to 0.5.3

* Tue Sep 23 2014 Tom Prince <tom.prince@clusterhq.com> - 0.5.0-2
- Specify depedencies to match those in setup.py

* Mon Sep 22 2014 Tom Prince <tom.prince@clusterhq.com> - 0.5.0-1
- Resolves: rhbz#1145511 - version bump to 0.5.0

* Tue Aug 26 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.4.0-3
- correct bogus date

* Tue Aug 26 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.4.0-2
- rewrite BR&R conditionals for docker/docker-io

* Thu Aug 21 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.4.0-1
- update to 0.4.0
- Resolves: rhbz#1132604 (epel7 only)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 12 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.3.2-1
- version bump to 0.3.2
- Resolves: rhbz#1097415

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Feb 10 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-8
- Bug 1063369 - Fix APIError for python-requests-1.1 on rhel6

* Sat Feb 08 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-7
- Bug 1048667 - disable debug package cause archful

* Fri Feb 07 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-6
- doesn't need python-mock at runtime

* Thu Jan 09 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-5
- python3 to be added after python3-websocket-client (BZ 1049424)

* Tue Jan 07 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-4
- double '%' to comment macros
- check section not considered for now
- python3- description in python3- subpackage conditional

* Tue Jan 07 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-3
- Everything goes in main package
- python3 package requires corrected
- package name python-docker-py
- both packages require docker-io

* Mon Jan 06 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-2
- python3 subpackage
- upstream uses PyPI
- package owns directories it creates
- build and runtime deps updated

* Sun Jan 05 2014 Lokesh Mandvekar <lsm5@redhat.com> 0.2.3-1
- Initial fedora package
